PHP-инклюдинг и SQL-инъекция в PunBB

Дата публикации:
11.07.2005
Дата изменения:
16.10.2006
Всего просмотров:
2693
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Обход ограничений безопасности
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PunBB 1.x
Уязвимые версии: PunBB 1.2.5

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения. Удаленный авторизованный пользователь может выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в сценарии 'profile.php'. При включенной опции 'register_globals', удаленный пользователь может выполнить произвольные SQL команды в базе данных приложения.

Существует уязвимость при обработке pun_include тегов. Удаленный пользователь может загрузить и выполнить произвольный PHP сценарий на целевой системе.

URL производителя: www.punbb.org

Решение: Установите исправление с сайта производителя.
www.punbb.org/download/punbb-1.2.6.tar.gz

Ссылки: PunBB SQL Injection Vulnerability

или введите имя

CAPTCHA